Page MenuHomePhabricator

[Hexagon] MaxAtomicPromoteWidth, MaxAtomicInlineWidth are not getting set.
ClosedPublic

Authored by sidneym on Mar 21 2020, 10:50 AM.

Details

Summary

Seeing errors while building the c++ library:
atomic:2756:16: error: use of undeclared identifier '__libcpp_signed_lock_free'

typedef atomic<__libcpp_signed_lock_free> atomic_signed_lock_free;

Diff Detail

Event Timeline

sidneym created this revision.Mar 21 2020, 10:50 AM
Herald added a project: Restricted Project. · View Herald TranscriptMar 21 2020, 10:50 AM
sidneym marked an inline comment as done.Mar 21 2020, 7:07 PM
sidneym added inline comments.
clang/test/Preprocessor/hexagon-predefines.c
117

The extra line break?

sidneym updated this revision to Diff 251896.Mar 22 2020, 9:18 AM

remove extra line break.

bcain accepted this revision.Mar 26 2020, 7:02 AM

LGTM

This revision is now accepted and ready to land.Mar 26 2020, 7:02 AM
bcahoon accepted this revision.Mar 26 2020, 3:44 PM
This revision was automatically updated to reflect the committed changes.